Bemærk
Adgang til denne side kræver godkendelse. Du kan prøve at logge på eller ændre mapper.
Adgang til denne side kræver godkendelse. Du kan prøve at ændre mapper.
Retrieve the properties of an approvalUserSetup object in Business Central.
HTTP request
Replace the URL prefix for Business Central based on the environment. For more information, see API endpoints.
GET businesscentralPrefix/companies({companyId})/approvalUserSetups({approvalUserSetupId})
To retrieve all approval user setups, omit ({approvalUserSetupId}) from the request URL.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an approvalUserSetup object in the response body.
Example
Request
Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/approvalUserSetups({approvalUserSetupId})
Response
Here's an example of the response.
{
"id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
"userId": "SARA",
"userFullName": "Sara Davis",
"salesPersonPurchaser": "SD",
"approverId": "ADMIN",
"salesAmountApprovalLimit": 10000,
"unlimitedSalesApproval": false,
"purchaseAmountApprovalLimit": 15000,
"unlimitedPurchaseApproval": false,
"requestApprovalAmountLimit": 5000,
"unlimitedRequestApprovalAmount": false,
"substitute": "ALEX",
"email": "sara@contoso.com",
"phoneNumber": "555-0100",
"approvalAdmin": false,
"lastModifiedDateTime": "2026-08-04T11:00:00Z"
}